I have 3.1.0 development Installed

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Ideas Centre
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Sat Apr 26, 2014 9:25 am

Hello guys,

I was a Forumatic user and while I am grateful for getting me going I am now on my own running a new forum which is phpbb3 but when I left the file that was run and updated for my new forum has left me with the above 3.1.0 development phpbb3 board loaded, this is obviously not ideal and I cannot load extensions as it causes the board to crash, but any further advice and updates would be appreciated please?

Many thanks

Giancarlo :)

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Sat Apr 26, 2014 10:49 am

Here is a screen shot of my board, which version of the Beta3 should I use to upgrade the board, can someone advise as there is so many and I do not know which one to choose as it does not tell me what stage of development my board is, is it a1 or a2??
Attachments
ACP index.png
ACP index.png (193.7 KiB) Viewed 1312 times

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69367
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: I have 3.1.0 development Installed

Post by KevC » Sat Apr 26, 2014 2:40 pm

There's no guarantee that 3.1 beta will be upgradable to the final version when it comes out and it certainly should not be used on a live board at the moment.

You should ask forumatic support what the best way is to continue.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Sat Apr 26, 2014 3:59 pm

Kevin Clark wrote:There's no guarantee that 3.1 beta will be upgradable to the final version when it comes out and it certainly should not be used on a live board at the moment.

You should ask forumatic support what the best way is to continue.
Thanks I have emailed Forumatic for some advice on my situation, cheers :)

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Mon Apr 28, 2014 9:21 am

Giancarlo.Massironi wrote:
Kevin Clark wrote:There's no guarantee that 3.1 beta will be upgradable to the final version when it comes out and it certainly should not be used on a live board at the moment.

You should ask forumatic support what the best way is to continue.
Thanks I have emailed Forumatic for some advice on my situation, cheers :)
Well as usual NO response from the guys at Forumatic which is so disappointing as I am now running a live board with what is a non supported format of phpBB3 code :cry: :cry: :cry:

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: I have 3.1.0 development Installed

Post by Marshalrusty » Mon Apr 28, 2014 9:37 am

Frankly, I think we have been very patient with answering all of your questions, even when it came to things relating to modifying the standard setup.

When exporting your data from Forumatic, you selected the 3.1 schema setting. Am I correct in understanding that you are using this with files from the standard 3.0.12 package? If so, then that's the problem. Or did you use 3.1 files?
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Mon Apr 28, 2014 10:09 am

Marshalrusty wrote:Frankly, I think we have been very patient with answering all of your questions, even when it came to things relating to modifying the standard setup.

When exporting your data from Forumatic, you selected the 3.1 schema setting. Am I correct in understanding that you are using this with files from the standard 3.0.12 package? If so, then that's the problem. Or did you use 3.1 files?
Hello Yuriy,

No, I do not think you have been patient actually and I am not going to be rude, but the fact is I selected the 3.0 schema when exporting my downloads for back up and what I have ended up with is a 3.1 development phpBB3 board.

I appreciate you answering my questions on here and would like some help in correcting this please as it stands I am now running a forum which is live and members active on it, but with no way of updating it at all unless I get some help?

Regards

Giancarlo

User avatar
5hocK
Registered User
Posts: 3011
Joined: Wed Nov 23, 2011 7:00 pm
Location: England

Re: I have 3.1.0 development Installed

Post by 5hocK » Mon Apr 28, 2014 8:34 pm

A link to your board would help; to double check what files you're using.
A thread is pretty much a topic. Stop with the pedantics will ya.

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: I have 3.1.0 development Installed

Post by Marshalrusty » Mon Apr 28, 2014 10:14 pm

Giancarlo.Massironi wrote:No, I do not think you have been patient actually and I am not going to be rude, but the fact is I selected the 3.0 schema when exporting my downloads for back up and what I have ended up with is a 3.1 development phpBB3 board.
Please do answer my question from above:
Marshalrusty wrote:Am I correct in understanding that you are using this with files from the standard 3.0.12 package? If so, then that's the problem. Or did you use 3.1 files?
If you are using the 3.0.12 files and it is working, then all you need to do is change the version number in the database. From the screenshot, it does look like you're on 3.0.x

I will have to investigate how it could have shown up as 3.1-dev, as my test resulted in the correct version number.
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Tue Apr 29, 2014 6:46 am

5hocK wrote:A link to your board would help; to double check what files you're using.
Here is a link to my site 5hocK :)

http://www.speakershack.co.uk/index.php

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Tue Apr 29, 2014 6:48 am

Marshalrusty wrote:
Giancarlo.Massironi wrote:No, I do not think you have been patient actually and I am not going to be rude, but the fact is I selected the 3.0 schema when exporting my downloads for back up and what I have ended up with is a 3.1 development phpBB3 board.
Please do answer my question from above:
Marshalrusty wrote:Am I correct in understanding that you are using this with files from the standard 3.0.12 package? If so, then that's the problem. Or did you use 3.1 files?
If you are using the 3.0.12 files and it is working, then all you need to do is change the version number in the database. From the screenshot, it does look like you're on 3.0.x

I will have to investigate how it could have shown up as 3.1-dev, as my test resulted in the correct version number.
Thanks Yuryi for taking the time to help, I really do appreciate it!!

So basically all that needs to be done is to change the database to 3.0.12 correct?

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: I have 3.1.0 development Installed

Post by Marshalrusty » Tue Apr 29, 2014 6:58 am

You still haven't answered the question I asked above.
Marshalrusty wrote:Please do answer my question from above:
Marshalrusty wrote:Am I correct in understanding that you are using this with files from the standard 3.0.12 package? If so, then that's the problem. Or did you use 3.1 files?
Please tell me what files you are using. Did you download 3.0.12 from this website and use those files, or did you do something else?
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

Giancarlo.Massironi
Registered User
Posts: 63
Joined: Thu Jan 30, 2014 7:14 pm

Re: I have 3.1.0 development Installed

Post by Giancarlo.Massironi » Tue Apr 29, 2014 7:03 am

As far as I was concerned I selected the Olympus 3.0 version when downloading for the backup Yuriy, but when loading them on to the new site it turns out that I have 3.1 Development Version :?

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: I have 3.1.0 development Installed

Post by Marshalrusty » Tue Apr 29, 2014 7:12 am

The Forumatic export provides you with a database backup (in a .sql file) as well as the directories containing user generated files (avatars, attachments, etc.).

The backup does not contain any phpBB package. As you have a running forum, you must have obtained the phpBB files somehow. I am asking where those files came from, as it is highly relevant.
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: I have 3.1.0 development Installed

Post by Marshalrusty » Tue Apr 29, 2014 7:14 am

Okay, let's try this a different way. In the administration panel, go to the "System" tab. What does it say there?
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

Locked

Return to “[3.1.x] Support Forum”